public class Rectangle
{
    private Point bl;
    private Point tr;
    
    public Rectangle(Point a, Point b)
    {
        bl=a;
        tr=b;
    }
    
    public Point getBottomLeftPoint()
    {
        return bl;
    }
    
    public Point getTopRightPoint()
    {
        return tr;
    }
    
    public boolean containsPoint(Point p)
    {
        int x=p.getX();
        int y=p.getY();
        
        if(x>=bl.getX() && x<=tr.getX() && y>=bl.getY() && y<=tr.getY())
        {
            return true;
        }
        else 
        {
            return false;
        }
    }
    
    public boolean containsRectangle(Rectangle r)
    {
        if(containsPoint(r.getBottomLeftPoint()) && containsPoint(r.getTopRightPoint()))
        {
            return true;
        }
        else
        {
            return false;
        }
    }
    
    public int area()
    {
        int x1=bl.getX();
        int x2=tr.getX();
        int y1=bl.getY();
        int y2=tr.getY();
        int base=x2-x1;
        int height=y2-y1;
        return base*height;
        
        
       
    }
}